diff --git a/bin/build_dist b/bin/build_dist
index 0ecc3ec2..82d934f9 100755
--- a/bin/build_dist
+++ b/bin/build_dist
@@ -20,19 +20,19 @@ SCRIPT_DIR=$(cd $(dirname ${SCRIPT}) && pwd)
NO_BUILD="${1}"
-BASE=$(cd $(dirname $0)/.. && pwd)
-cd ${BASE}
+BASE="$(cd "$(dirname "${0}")"/.. && pwd)"
+cd "${BASE}" || die "Error changing to ${BASE} directory"
if [[ -z "${NO_BUILD}" || "${NO_BUILD}" != "no-build" ]] ; then
echo "Building bubble jar..."
- ${BASE}/bin/git_update_bubble.sh || die "Error building bubble jar file"
+ "${BASE}"/bin/git_update_bubble.sh || die "Error building bubble jar file"
else
echo "Not building bubble jar: no-build was set"
fi
DIST_BASE="${BASE}/dist"
-rm -rf "${DIST_BASE}" || die "Error removing "${DIST_BASE}" directory"
-mkdir -p "${DIST_BASE}" || die "Error creating "${DIST_BASE}" directory"
+rm -rf "${DIST_BASE}" || die "Error removing ${DIST_BASE} directory"
+mkdir -p "${DIST_BASE}" || die "Error creating ${DIST_BASE} directory"
JAR_DIR="${BASE}/bubble-server/target"
FULL_JAR="$(find "${JAR_DIR}" -type f -name "bubble-server-*-full.jar" | head -1)"
@@ -80,9 +80,9 @@ if [[ -n "${BUBBLE_DIST_HOME}" ]] ; then
if [[ ! -d "${BUBBLE_DIST_DIR}" ]] ; then
mkdir -p ${BUBBLE_DIST_DIR}
fi
- cp "${ZIP}" "${BUBBLE_DIST}" && cat "${ZIP}" | sha256sum | cut -f1 -d' ' | tr -d '\n' > "${BUBBLE_DIST}.sha256" || die "Error copying bubble zip distribution ${ZIP} to dist or creating shasum"
- cp "${JAR}" "${BUBBLE_JAR_DIST}" && cat "${JAR}" | sha256sum | cut -f1 -d' ' | tr -d '\n' > "${BUBBLE_JAR_DIST}.sha256" || die "Error copying bubble jar ${JAR} to dist or creating shasum"
- cp "${FULL_JAR}" "${BUBBLE_FULL_JAR_DIST}" && cat "${FULL_JAR}" | sha256sum | cut -f1 -d' ' | tr -d '\n' > "${BUBBLE_FULL_JAR_DIST}.sha256" || die "Error copying full bubble jar ${FULL_JAR} to dist or creating shasum"
+ cp "${ZIP}" "${BUBBLE_DIST}" && cat "${ZIP}" | shasum -a 256 | cut -f1 -d' ' | tr -d '\n' > "${BUBBLE_DIST}.sha256" || die "Error copying bubble zip distribution ${ZIP} to dist or creating shasum"
+ cp "${JAR}" "${BUBBLE_JAR_DIST}" && cat "${JAR}" | shasum -a 256 | cut -f1 -d' ' | tr -d '\n' > "${BUBBLE_JAR_DIST}.sha256" || die "Error copying bubble jar ${JAR} to dist or creating shasum"
+ cp "${FULL_JAR}" "${BUBBLE_FULL_JAR_DIST}" && cat "${FULL_JAR}" | shasum -a 256 | cut -f1 -d' ' | tr -d '\n' > "${BUBBLE_FULL_JAR_DIST}.sha256" || die "Error copying full bubble jar ${FULL_JAR} to dist or creating shasum"
if [[ ${IS_DEV} -eq 0 ]] ; then
cd ${BUBBLE_DIST_TOP} && rm -f latest && ln -sf ${BUBBLE_VERSION} latest
echo "${BUBBLE_VERSION}" > latest.txt
diff --git a/bin/jenkins/test-redis b/bin/jenkins/test-redis
index f06b7c2c..66f70b87 100755
--- a/bin/jenkins/test-redis
+++ b/bin/jenkins/test-redis
@@ -15,7 +15,7 @@ function redis_port() {
if [[ -z "${BUBBLE_REDIS_PORT}" ]] ; then
# pick port based on hash of workspace name; there is a 1-in-4096 chance of collision
# if you get a collision, just define BUBBLE_REDIS_PORT in jenkins to be < 6800 or > 10895 in the job's build config
- BUBBLE_REDIS_PORT=$(expr 6800 + $(echo $((16#$(echo -n ${WORKSPACE_NAME} | sha256sum | awk '{print $1}' | tail -c 4)))))
+ BUBBLE_REDIS_PORT=$(expr 6800 + $(echo $((16#$(echo -n ${WORKSPACE_NAME} | shasum -a 256 | awk '{print $1}' | tail -c 4)))))
fi
echo ${BUBBLE_REDIS_PORT}
}
diff --git a/bubble-server/pom.xml b/bubble-server/pom.xml
index 6202f6c0..40e0e887 100644
--- a/bubble-server/pom.xml
+++ b/bubble-server/pom.xml
@@ -11,12 +11,12 @@
bubble
bubble
- 1.5.9
+ 1.5.10
bubble-server
- 1.5.9
+ 1.5.10
diff --git a/bubble-server/src/main/resources/META-INF/bubble/bubble.properties b/bubble-server/src/main/resources/META-INF/bubble/bubble.properties
index d339627a..bf1a08c9 100644
--- a/bubble-server/src/main/resources/META-INF/bubble/bubble.properties
+++ b/bubble-server/src/main/resources/META-INF/bubble/bubble.properties
@@ -1,3 +1,3 @@
# Do not edit this file directly
# Use _set_version to update the Bubble version in all files
-bubble.version=Adventure 1.5.9
+bubble.version=Adventure 1.5.10
diff --git a/bubble-web b/bubble-web
index 061267a0..38eaeee4 160000
--- a/bubble-web
+++ b/bubble-web
@@ -1 +1 @@
-Subproject commit 061267a01e8f0cf59ba25b3bd848d2999b119c93
+Subproject commit 38eaeee454724452f59cf7f11724ec7f67d5884f
diff --git a/docs/system-software.md b/docs/system-software.md
index 79eeafb6..869acec8 100644
--- a/docs/system-software.md
+++ b/docs/system-software.md
@@ -41,7 +41,7 @@ The important things to install:
* Redis
* Python 3.8+
* Packer (try `bin/install_packer.sh` first, it might work fine)
- * Required tools: curl, jq, uuid, sha256sum, openssl, ssh, scp, rsync, npm, webpack, zip, unzip
+ * Required tools: curl, jq, uuid, shasum, openssl, ssh, scp, rsync, npm, webpack, zip, unzip
Look at the `first_time_ubuntu.sh` script and ensure you've basically done all that it does,
including creating PostgreSQL users/databases.
diff --git a/pom.xml b/pom.xml
index b626ed8d..f6ef3098 100644
--- a/pom.xml
+++ b/pom.xml
@@ -14,7 +14,7 @@
bubble
bubble
- 1.5.9
+ 1.5.10
pom
diff --git a/utils/pom.xml b/utils/pom.xml
index d190ab2a..7d2ac7fa 100644
--- a/utils/pom.xml
+++ b/utils/pom.xml
@@ -10,7 +10,7 @@ This code is available under the GNU Affero General Public License, version 3: h
bubble
utils
- 1.5.9
+ 1.5.10
pom